Bug 835010 - Create a separate OSGi subpackage.
Create a separate OSGi subpackage.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 04:42 EDT by Krzysztof Daniel
Modified: 2014-01-12 19:27 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 03:08:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Daniel 2012-06-25 04:42:51 EDT
as in the description. Some people may want to use it.
Comment 1 D Morgan 2012-06-25 04:49:04 EDT
here is the changes done in mageia by gil 

http://svnweb.mageia.org/packages?view=revision&revision=149770
Comment 2 Alexander Kurtakov 2012-07-06 09:18:04 EDT
Chris, can this one be closed now?
Comment 3 gil cattaneo 2012-07-06 10:05:31 EDT
hi
can create a separarate depmap for the other libraries?

for example

%add_maven_depmap -f osgi JPP.%{name}-osgi.util.pom %{name}/osgi.util.jar -a "org.%{name}.osgi:util"

%{_javadir}/%{name}/jdt.core.jar
%{_mavenpomdir}/JPP.eclipse-jdt.core.pom
%{_javadir}/%{name}/equinox.http.servlet.jar
%{_mavenpomdir}/JPP.%{name}-equinox-http-servlet.pom
%{_mavendepmapfragdir}/%{name}

%files equinox-osgi
%{_javadir}/eclipse/osgi.jar
%{_javadir}/eclipse/osgi.services.jar
%{_javadir}/eclipse/osgi.util.jar
%{_libdir}/%{name}/plugins/org.eclipse.osgi_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.services_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.util_*
%{_mavenpomdir}/JPP.%{name}-osgi.pom
%{_mavenpomdir}/JPP.%{name}-osgi.services.pom
%{_mavenpomdir}/JPP.%{name}-osgi.util.pom
%{_mavendepmapfragdir}/%{name}-osgi
Comment 4 Krzysztof Daniel 2012-07-10 03:08:30 EDT
Gil, can you rephrase your question? I'm not sure if I have understood it correctly.

As we talked earlier - I do not plan to introduce any new files to the eclipse package. The only way to get them into Fedora is via eclipse-build @ eclipse.org.

Given that everything what could be done is already done, I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.